Bullet Collision Detection & Physics Library: btEmptyCollisionAlgorithm.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
btEmptyCollisionAlgorithm.h File Reference
`#include "BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h"`
`#include "btCollisionCreateFunc.h"`
`#include "btCollisionDispatcher.h"`
Include dependency graph for btEmptyCollisionAlgorithm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btEmptyAlgorithm
| EmptyAlgorithm is a stub for unsupported collision pairs. More...
struct | btEmptyAlgorithm::CreateFunc
struct | CreateFunc

## Macros
#define | ATTRIBUTE_ALIGNED(a)

## Functions
btEmptyAlgorithm btCollisionAlgorithm | ATTRIBUTE_ALIGNED (16)
| btEmptyAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)

## Macro Definition Documentation

## ◆ ATTRIBUTE_ALIGNED

#define ATTRIBUTE_ALIGNED | ( |  | a | ) |

Definition at line 22 of file btEmptyCollisionAlgorithm.h.

## Function Documentation

## ◆ ATTRIBUTE_ALIGNED()

btEmptyAlgorithm btCollisionAlgorithm ATTRIBUTE_ALIGNED | ( | 16 |  | ) |

## ◆ btEmptyAlgorithm()

ATTRIBUTE_ALIGNED::btEmptyAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |

## ◆ calculateTimeOfImpact()

virtual btScalar ATTRIBUTE_ALIGNED::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| virtual

## ◆ getAllContactManifolds()

virtual void ATTRIBUTE_ALIGNED::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| virtual

Definition at line 7 of file btEmptyCollisionAlgorithm.h.

## ◆ processCollision()

virtual void ATTRIBUTE_ALIGNED::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )
| virtual